    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.beans.Visibility

public interface Visibility

Under some circumstances a bean may be run on servers where a GUI is not available. This interface can be used to query a bean to determine whether it absolutely needs a gui, and to advise the bean whether a GUI is available.

This interface is for expert developers, and is not needed for normal simple beans. To avoid confusing end-users we avoid using getXXX setXXX design patterns for these methods.

##

avoidingGui()
dontUseGui()
  This method instructs the bean that it should not use the Gui.
needsGui()
okToUseGui()
  This method instructs the bean that it is OK to use the Gui.

##

needsGui

     public abstract boolean needsGui()

  Returns:
    True if the bean absolutely needs a GUI available in order to get its work done.

dontUseGui

     public abstract void dontUseGui()

  This method instructs the bean that it should not use the Gui.

okToUseGui

     public abstract void okToUseGui()

  This method instructs the bean that it is OK to use the Gui.

avoidingGui

     public abstract boolean avoidingGui()

  Returns:
    true if the bean is currently avoiding use of the Gui. e.g. due to a call on dontUseGui().

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.